Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.authn
Class AuthenticationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.internet2.middleware.shibboleth.idp.authn.AuthenticationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ForceAuthenticationException, PassiveAuthenticationException

    public class AuthenticationException

extends Exception

An exception indicating a problem with user authentication.

See Also:
  Serialized Form

Constructor Summary
`AuthenticationException()` Constructor.
`AuthenticationException(Exception wrappedException)` Constructor.
`AuthenticationException(String message)` Constructor.
`AuthenticationException(String message, Exception wrappedException)` Constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException()

  Constructor.

### AuthenticationException

    public AuthenticationException(String message)

  Constructor.

  Parameters:
    `message` - exception message

### AuthenticationException

    public AuthenticationException(Exception wrappedException)

  Constructor.

  Parameters:
    `wrappedException` - exception to be wrapped by this one

### AuthenticationException

    public AuthenticationException(String message,
                                   Exception wrappedException)

  Constructor.

  Parameters:
    `message` - exception message
    `wrappedException` - exception to be wrapped by this one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.